OpenPGPSignatureGenerator
Date: 2014-12-13

org.apache.ivy.plugins.signer.bouncycastle

## Class OpenPGPSignatureGenerator

- java.lang.Object
- - org.apache.ivy.plugins.signer.bouncycastle.OpenPGPSignatureGenerator

- All Implemented Interfaces:
    SignatureGenerator

      public class OpenPGPSignatureGenerator
      extends java.lang.Object
      implements SignatureGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenPGPSignatureGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExtension()`
    `java.lang.String` | `getName()`
    `void` | `setKeyId(java.lang.String keyId)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setSecring(java.lang.String secring)`
    `void` | `sign(java.io.File src, java.io.File dest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenPGPSignatureGenerator

          public OpenPGPSignatureGenerator()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `SignatureGenerator`

    - #### setName

          public void setName(java.lang.String name)

    - #### getExtension

          public java.lang.String getExtension()

      Specified by:
        `getExtension` in interface `SignatureGenerator`

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### setSecring

          public void setSecring(java.lang.String secring)

    - #### setKeyId

          public void setKeyId(java.lang.String keyId)

    - #### sign

          public void sign(java.io.File src,
                  java.io.File dest)
                    throws java.io.IOException

      Specified by:
        `sign` in interface `SignatureGenerator`
      Throws:
        `java.io.IOException`